Updates an API Space's APNS push token configuration

🚧

This uses a multi part form submission

Please note that this API call uses a content type of multipart/form-data instead of application/json as normal due to it needing the private key file uploading. An example HTTP submission is shown below:

PUT /apispaces/ff8044b5-2ce2-4843-9dff-4ba1f72fb2ae/push/apnstoken HTTP/1.1
Host: api.comapi.com
Content-Type: multipart/form-data; boundary=----WebKitFormBoundary7MA4YWxkTrZu0gW
Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJhY2NvdW50SWQiOjM3MDA3LCJyZXNlbGxlcklkIjozNjA3MiwiZXhwIjoxNTI3NjAzODU1LCJhdWQiOiJodHRwczovL2FwaS5jb21hcGkuY29tIiwiaXNzIjoiaHR0cHM6Ly9kb3RtYWlsZXIuY29tIiwiYXBpU3BhY2VJZCI6ImVhODA0NGI1LTJjZjItNDg0My05ZGZmLTRiZDFmNzJmYjJhZSIsInB
Cache-Control: no-cache

------WebKitFormBoundary7MA4YWxkTrZu0gW
Content-Disposition: form-data; name="key"; filename="privateKey.pem"
Content-Type: image/svg+xml


------WebKitFormBoundary7MA4YWxkTrZu0gW
Content-Disposition: form-data; name="keyId"

The keyid
------WebKitFormBoundary7MA4YWxkTrZu0gW
Content-Disposition: form-data; name="teamId"

The teamId
------WebKitFormBoundary7MA4YWxkTrZu0gW--
Path Params
string
required
^([a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12})|[a-f0-9]{32}$

The id of the API space to update

Body Params
file

The authentication key downloaded from APNS

string

The 10-character id of the key downloaded from APNS

string

The 10-character id of the team the key is registered for

Headers
string

The eTag of the apiSpace that the caller is expecting to update

Responses

404

The API Space was not found

409

A conncurrency issue occured updating the API Space

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json